org.eclipse.jgit.errors

## Class UnsupportedCredentialItem

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.UnsupportedCredentialItem

All Implemented Interfaces:
  Serializable

    public class UnsupportedCredentialItem
    extends RuntimeException

An exception thrown when a `CredentialItem` is requested from a `CredentialsProvider` which is not supported by this provider.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedCredentialItem(URIish uri, String s)` Constructs an UnsupportedCredentialItem with the specified detail message prefixed with provided URI.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedCredentialItem

    public UnsupportedCredentialItem(URIish uri,
                             String s)

Constructs an UnsupportedCredentialItem with the specified detail message prefixed with provided URI.

Parameters:
  `uri` - URI used for transport
  `s` - message